Package Details: python2-pip2pkgbuild 0.2.6-1

Git Clone URL: https://aur.archlinux.org/pip2pkgbuild.git (read-only, click to copy)
Package Base: pip2pkgbuild
Description: Generate PKGBUILD file for a Python module from PyPi
Upstream URL: https://github.com/wenLiangcan/pip2pkgbuild
Keywords: packaging pkgbuild python
Licenses: MIT
Submitter: wenLiangcan
Maintainer: wenLiangcan
Last Packager: wenLiangcan
Votes: 18
Popularity: 0.000191
First Submitted: 2015-09-15 12:49
Last Updated: 2019-04-13 08:02

Latest Comments

evgfilim1 commented on 2019-11-22 03:23

Please bump pkgrel to rebuild package for python3.8

Traceback (most recent call last):
  File "/usr/bin/pip2pkgbuild", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pip2pkgbuild==0.2.6' distribution was not found and is required by the application

wenLiangcan commented on 2019-04-13 08:10

Fixed.

lopelisoli commented on 2018-11-25 18:33

To avoid the error mentioned by simgunz, you need to edit the PKGBUILD and change:

from this: pkgbase=('pip2pkgbuild')

to this: pkgbase='pip2pkgbuild'

Unfortunately, all new PKGBUILD files created with pip2pkgbuild will contain the same typo. In order to build them, repeat the same process: edit the file and remove the parentheses from the pkgbase line.

simgunz commented on 2018-11-07 13:22

pacaur -S pip2pkgbuild

==> ERROR: pkgbase should not be an array
:: Preparing pip2pkgbuild...
==> ERROR: pkgbase should not be an array
:: failed to verify integrity or prepare pip2pkgbuild package
:: failed to verify integrity or prepare pip2pkgbuild package